Name:           postler
Version:        0.1.1
Release:        2%{?dist}
Summary:        An ultra simple desktop mail client
Group:          Applications/Internet
License:        LGPLv2+
URL:            http://launchpad.net/postler
Source0:        http://git.xfce.org/apps/%{name}/snapshot/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# doesn't build with vala 0.11.6: https://bugs.launchpad.net/postler/+bug/723282
BuildRequires:  vala
BuildRequires:  intltool
BuildRequires:  glib2-devel
BuildRequires:  unique-devel
BuildRequires:  webkitgtk-devel
BuildRequires:  libcanberra-devel
BuildRequires:  libnotify-devel
BuildRequires:  python-devel
BuildRequires:  openssl-devel
BuildRequires:  db4-devel
#BuildRequires: libidentify-devel # not packaged yet
BuildRequires:  msmtp
BuildRequires:  lynx
BuildRequires:  desktop-file-utils
BuildRequires:  dexter
Requires:       webkitgtk

# fixme: find-debuginfo.sh says it can't stat some files


%description
Postler aims to be easy, simple, clean, beautiful, and automagic. It
handles IMAP beautifully, and provides the user with smart, sensible
defaults.


%prep
%setup -q


%build
./waf configure --disable-libindicate \
      --disable-docs \
      --prefix=%{_prefix}
./waf build


%install
rm -rf %{buildroot}
./waf install --destdir=%{buildroot}

# rename icon because of its to generic name
mv %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/{internet-mail,postler}.svg
sed -i 's,^Icon=.*$,Icon=postler,' \
    %{buildroot}%{_datadir}/applications/postler.desktop


# fixme: reports two warnings, forward to upstream
desktop-file-validate %{buildroot}%{_datadir}/applications/postler.desktop

%find_lang %{name}


%clean
rm -rf %{buildroot}
./waf clean


%post
update-desktop-database &>/dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/postler
%{_bindir}/postler-mbsync
%{_datadir}/applications/postler.desktop
%{_datadir}/icons/hicolor/scalable/apps/postler.svg


%changelog
* Mon Apr  4 2011 Thomas Moschny <thomas.moschny@gmx.de> - 0.1.1-2
- Changes suggested in the review ticket:
  - Fix License and Summary tags.
  - Rename icon to avoid clashes with icon theme packages.
  - BR dexter (bz 690953).

* Fri Mar 25 2011 Thomas Moschny <thomas.moschny@gmx.de> - 0.1.1-1
- Update to 0.1.1.
- Fix source URL.

* Sun Mar 13 2011 Thomas Moschny <thomas.moschny@gmx.de> - 0.1.0-1
- New package.
